{% extends 'base.html.twig' %}



{% block body %}


    {% import 'default/_object_actions_macro.html.twig' as _object_actions_macro %}
    <div class="container-fluid my-4">
        <div class="row">
            <div class="col">

                <ul class="nav nav-pills">

                    {% for folder in path %}
                        {% if loop.last %}
                            <li class="nav-item">
                                <div class="dropdown">
                                    {% if is_granted('edit', folder) %}
                                        <button class="btn btn-info dropdown-toggle" type="button"
                                                id="dropdownMenuButton1"
                                                data-bs-toggle="dropdown" aria-expanded="false">
                                            {% if folder.title=='*** ROOT ***' %}
                                                <i class="bi bi-house"></i>
                                            {% else %}
                                                {{ folder.title }}
                                            {% endif %}
                                        </button>
                                        {{ _object_actions_macro.permissionModal('folder',folder.id) }}
                                        {{ _object_actions_macro.linkModal('folder',folder.id,folder.slug) }}
                                        <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1">
                                            <li><a class="dropdown-item"
                                                   href="{{ path('app_folder_new',{'parentId': folder.id}) }}">
                                                    <i class="bi bi-folder-plus"></i>
                                                    {% trans %}New folder{% endtrans %}</a>
                                            </li>
                                            <li>
                                                <hr class="dropdown-divider">
                                            </li>
                                            <li><a class="dropdown-item"
                                                   href="{{ path('app_document_new',{'folderId': folder.id}) }}">
                                                    <i class="bi bi-file-plus"></i>
                                                    {% trans %}Add document{% endtrans %}</a></li>
                                            <li><a class="dropdown-item"
                                                   href="{{ path('app_link_new',{'folderId': folder.id}) }}">
                                                    <i class="bi bi-file-plus"></i>
                                                    {% trans %}Add link{% endtrans %}</a></li>
                                            <li><a class="dropdown-item btnPermissions" data-bs-toggle="modal"
                                                   data-bs-target="#permissionsModalfolder{{ folder.id }}"
                                                   href="#permissionsModalfolder{{ folder.id }}" data-type="folder"
                                                   data-id="{{ folder.id }}">
                                                    <i class="bi bi-people"></i>
                                                    {% trans %}Change permissions{% endtrans %}i</a></li>
                                            <li><a class="dropdown-item" data-bs-toggle="modal"
                                                   data-bs-target="#linkModalfolder{{ folder.id }}"
                                                   href="#linkModalfolder{{ folder.id }}"><i class="bi bi-link"></i>
                                                    {% trans %}Get shortcut link{% endtrans %}</a></li>
                                            <li><a class="dropdown-item"
                                                   href="{{ path('app_folder_move',{'folderId': folder.id}) }}">
                                                    <i class="bi bi-folder-symlink"></i>
                                                    {% trans %}Move into{% endtrans %}</a></li>
                                            <li><a class="dropdown-item"
                                                   href="{{ path('app_folder_edit',{'folderId': folder.id}) }}">
                                                    <i class="bi bi-pencil"></i>
                                                    {% trans %}Rename{% endtrans %}</a></li>
                                            <li><a class="dropdown-item"
                                                   href="{{ path('app_folder_delete',{'folderId': folder.id}) }}">
                                                    <i class="bi bi-trash"></i>
                                                    {% trans %}Delete{% endtrans %}</a></li>
                                        </ul>
                                    {% else %}
                                        <button class="btn btn-info e" type="button">
                                            {% if folder.title=='*** ROOT ***' %}
                                                <i class="bi bi-house"></i>
                                            {% else %}
                                                {{ folder.title }}
                                            {% endif %}
                                        </button>
                                    {% endif %}
                                </div>
                            </li>
                        {% else %}
                            <li class="nav-item">
                                <a href="{{ path('folders',{folderId: folder.id}) }}" class="btn btn-outline-info">
                                    {% if folder.title=='*** ROOT ***' %}
                                        <i class="bi bi-house"></i>
                                    {% else %}
                                        {{ folder.title }}

                                        {% if frontend_show_description and folder.description is not null %}
                                            - {{ folder.description }}
                                        {% endif %}
                                    {% endif %}
                                </a>
                                &nbsp;>&nbsp;
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>
            </div>
            {% if is_granted('edit', folderTrash) %}
                <div class="col-auto">
                    <a href="{{ path('folders',{folderId: folderTrash.id}) }}"
                       class="btn btn-outline-info">{% trans %}Trash{% endtrans %}</a>
                </div>
            {% endif %}
            <div class="col-auto">
                {% include 'default/_search_area.html.twig' %}
            </div>
            <div class="col-auto">
                {% include 'default/_login_button.html.twig' %}
            </div>
        </div>

        {% if frontend_show_description and currentFolder.description is not null %}
            {{ currentFolder.description }}
        {% endif %}


        <ul class="list-group my-4">
            {% for child in currentFolder.children %}
                {% if is_granted('view', child) %}
                    <li class="list-group-item">
                        <a href="{{ path('folders',{'folderId': child.id}) }}" class="text-decoration-none">
                            <i class="bi bi-folder"></i>
                            {{ child.title }}
                        </a>
                        {% if is_granted('edit', child) %}
                            {{ _object_actions_macro.threeDots('folder',child.id) }}
                            {{ _object_actions_macro.linkModal('folder',child.id,child.slug) }}
                            {{ _object_actions_macro.permissionModal('folder',child.id) }}
                        {% endif %}
                        {{ _object_actions_macro.tags(child.tags) }}
                        {% if frontend_show_description and child.description|length>0 %}
                            <br>
                            {{ child.description }}
                        {% endif %}
                    </li>
                {% endif %}
            {% endfor %}
            {% for document in currentFolder.documents %}
                <li class="list-group-item">
                    <a data-bs-toggle="offcanvas" href="#offcanvasShow" aria-controls="offcanvasShow"
                       class="text-decoration-none btnShow" data-id="{{ document.id }}">
                        {% if document.mediafile %}
                            <i class="bi bi-filetype-{{ document.mediafile.extension }}"></i>
                        {% endif %}
                        {{ document.title }}
                    </a>
                    <a href="{{ path('app_document_download',{'documentId': document.id}) }}"
                       class="text-decoration-none">
                        <i class="bi bi-download"></i>
                    </a>

                    {% if is_granted('edit', document) %}
                        {{ _object_actions_macro.threeDots('document',document.id) }}
                        {{ _object_actions_macro.linkModal('document',document.id,document.slug) }}
                        {{ _object_actions_macro.permissionModal('document',document.id) }}
                    {% endif %}
                    {{ _object_actions_macro.tags(document.tags) }}
                    {% if frontend_show_description and document.description|length>0 %}
                        <br>
                        {{ document.description }}
                    {% endif %}
                </li>
            {% endfor %}
            {% for link in currentFolder.links %}
                <li class="list-group-item">
                    <a href="{{ path('app_link_goto',{'linkId': link.id}) }}"
                       class="text-decoration-none">
                        <i class="bi bi-link"></i> {{ link.title }}
                    </a>
                    {% if is_granted('edit', link) %}
                        {{ _object_actions_macro.threeDots('link',link.id) }}
                        {{ _object_actions_macro.linkModal('link',link.id,link.slug) }}
                        {{ _object_actions_macro.permissionModal('link',link.id) }}
                    {% endif %}
                    {{ _object_actions_macro.tags(link.tags) }}
                    {% if frontend_show_description and link.description|length>0 %}
                        <br>
                        {{ link.description }}
                    {% endif %}
                </li>
            {% endfor %}
        </ul>
    </div>


    <div class="offcanvas offcanvas-end" tabindex="-1" id="offcanvasShow" aria-labelledby="offcanvasShowLabel">
        <div class="offcanvas-header">
            <button type="button" class="btn-close text-reset" data-bs-dismiss="offcanvas" aria-label="Close"></button>
        </div>
        <div class="offcanvas-body">
            <table>
                <tr>
                    <td><i class="bi bi-calendar-week"></i></td>
                    <td>{% trans %}Created at:{% endtrans %}</td>
                    <td><span id="showIframe-created"></span></td>
                </tr>
                <tr>
                    <td><i class="bi bi-calendar-week"></i></td>
                    <td>{% trans %}Updated at:{% endtrans %}</td>
                    <td><span id="showIframe-updated"></span></td>
                </tr>
                <tr>
                    <td><i class="bi bi-calendar-week"></i></td>
                    <td>{% trans %}File updated at:{% endtrans %}</td>
                    <td><span id="showIframe-file-updated"></span></td>
                </tr>
                <tr>
                    <td colspan="3">
                        <a href="" class="text-decoration-none" id="showIframe-download-url">
                            <i class="bi bi-download"></i> {% trans %}Download{% endtrans %}
                        </a>
                    </td>
                </tr>
            </table>
            <iframe width="100%" height="350" src="" id="showIframe"></iframe>
        </div>
    </div>



{% endblock %}



{% block javascripts %}
    {{ parent() }}
    <script>
        $(document).on('click', '.btnShow', function (e) {
            objectId = e.target.getAttribute('data-id');
            urlForDates = "{{ path('app_document_get_dates',{'documentId':'__id__'}) }}".replace('__id__', objectId);
            urlDownload = "{{ path('app_document_download',{'documentId':'__id__'}) }}".replace('__id__', objectId);
            urlShow = "{{ path('app_document_show',{'documentId':'__id__'}) }}".replace('__id__', objectId);
            $('#showIframe-download-url').attr('href', urlDownload);
            $('#showIframe').attr('src', urlShow);
            $.ajax({
                url: urlForDates,
                success: function (dates) {
                    $('#showIframe-created').html(dates.created);
                    $('#showIframe-updated').html(dates.updated);
                    $('#showIframe-file-updated').html(dates.fileUpdated);
                }
            })
        });

        $(document).on('click', '.btnPermissions', function (e) {
            objectType = e.target.getAttribute('data-type');
            objectId = e.target.getAttribute('data-id');
            url = "{{ path('object_security_edit',{'type':'__type__','id':'__id__'}) }}".replace('__id__', objectId).replace('__type__', objectType);
            $.ajax({
                url: url,
                async: false,
                success: function (html) {
                    console.log(objectType + objectId);
                    $('#permissionsModalContent' + objectType + objectId).html(html);
                    {% include('security/_subforms.js.twig') %}
                }
            })
        });
    </script>
{% endblock %}